Delivery Group SPI

POST Retrieve delivery group list.

POST /merchant/spi/sample/endpoint/sa/deliveryGroup

Operation ID: getDeliveryGroupList. Tags: Delivery Group SPI.

Retrieve delivery group from merchant's system. This SPI also provides shipping options for each delivery group. This SPI is used by POS to get delivery groups corresponding to cart and is triggered if the cart has a delivery item. Merchants must implement this endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:

  1. Under API Config:
  2. Under JSON Config:
    • Integration Type: HTTP_POST
    • JSON Headers: Provide the header for the API. Headers can be Content-Type, for example: {"Content-Type":"application/json"}.

Request body

Media type: */*. Schema: SPIShipmentProcessorRequest.

Responses

  • default Default response.

    Media type: application/json. Schema: SPIShipmentProcessorResponse.